/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
 
#ifndef _USBOOK_H
#define _USBOOK_H

#include <libebook/e-book.h>

#ifdef __cplusplus
extern "C"
{
#endif

typedef struct _USBookContact
{
	gchar name[0x10];
	gchar mobile_number[0x10];
	gchar telephone_number[0x20];
	gchar email[0x1A];
	gchar filler_1[0x06];
	gchar instant_msg_id[0x10];
	gchar fax_number[0x10];
} USBookContact;

typedef struct _USBook
{
	gchar *header1;
	guchar contacts_count;
	gchar *header2;
	GList *contacts;
} USBook;
	
extern USBook *usbook_book_new();
extern void usbook_book_free(USBook *usbook);
	
extern USBook *usbook_book_convert (EBook *book);
extern USBookContact *usbook_contact_convert (EContact *contact);
	
extern USBookContact *usbook_contact_new();
extern void usbook_contact_free(USBookContact *usbookContact);

extern gboolean usbook_book_save(const gchar *filename, USBook *usbook);

#ifdef __cplusplus
}
#endif

#endif /* _USBOOK_H */

